
using Microsoft.EntityFrameworkCore;
using Microsoft.EntityFrameworkCore.Design;

namespace InternshipSystem.Repository {

    public class InternshipDbContextFactory : IDesignTimeDbContextFactory<InternshipDbContext>
    {

        public InternshipDbContext CreateDbContext(string[] args)
        {
            var optionsBuilder = new DbContextOptionsBuilder<InternshipDbContext>();
            optionsBuilder.UseNpgsql("Host=localhost;Port=5432;Database=postgres;Username=postgres;Password=szwoniu");

            return new InternshipDbContext(optionsBuilder.Options);
        }
    }
}